var livescript = require('livescript');
var livescriptNext = require('livescript-next');

function parserOverride(code, options = {}, arg2$) {
  let sourceFileName, parse, message;
  ({
    sourceFileName = "t.ls"
  } = options);
  [parse] = [arg2$];
  return function () {
    if (/\.ls$/.test(sourceFileName)) {
      try {
        return livescriptNext.convert(livescript.ast(code));
      } catch (e) {
        message = sourceFileName + ": " + e.message;
        throw new SyntaxError(message, sourceFileName, e.hash.loc.first_line);
      }
    } else {
      return parse(code, options);
    }
  }();
}

function plugin() {
  return {
    parserOverride
  };
}

module.exports = plugin;
//# sourceMappingURL=index.js.map
